Bug 1266979 - Disable while typing doesn't work on Acer Aspire VN7-591G's clickpad [NEEDINFO]
Disable while typing doesn't work on Acer Aspire VN7-591G's clickpad
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 13:38 EDT by Artem Hluvchynskyi
Modified: 2017-04-28 13:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:15:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
evemu-record output (74.54 KB, text/plain)
2015-09-28 13:38 EDT, Artem Hluvchynskyi
no flags Details
lsusb output (2.30 KB, text/plain)
2015-09-28 13:39 EDT, Artem Hluvchynskyi
no flags Details
xinput list-props output (1.31 KB, text/plain)
2015-09-28 13:39 EDT, Artem Hluvchynskyi
no flags Details

  None (edit)
Description Artem Hluvchynskyi 2015-09-28 13:38:43 EDT
Created attachment 1078020 [details]
evemu-record output

Description of problem:
Disable while typing/palm detection doesn't engage on the built-in clickpad in Acer Aspire VN7-591G despite xinput reporting that the functionality is enabled. Apparently the kernel input driver doesn't emit pressure events. Everything else related to clickpad functionality seems to work fine.

evemu-record output while touching and resting the palm is attached.

Other notable info is that this clickpad doesn't seem to be detected properly by the kernel (see "UNKNOWN" id below):
[    4.141030] input:     UNKNOWN as /devices/pci0000:00/0000:00:14.0/usb1/1-7/1-7:1.0/0003:06CB:2970.0006/input/input9
[    4.141192] hid-multitouch 0003:06CB:2970.0006: input,hiddev0,hidraw3: USB HID v1.11 Mouse [   ] on usb-0000:00:14.0-7/input0

At the same time lsusb is identifying it as a Synaptics device (relevant part attached).


Version-Release number of selected component (if applicable):
kernel 4.1.7-200.fc22
libinput 1.0.1-2.fc22

How reproducible:
Place your palm on the clickpad and start typing.

Actual results:
The mouse pointer is moving and clicks happening.

Expected results:
Clickpad is disabled while the palm rests on its area.

Additional info:
$cat /sys/class/dmi/id/modalias:
dmi:bvnInsydeCorp.:bvrV1.13:bd01/08/2015:svnAcer:pnAspireVN7-591G:pvrV1.13:rvnAcer:rnAspireVN7-591G:rvrV1.13:cvnAcer:ct10:cvrV1.13:
Comment 1 Artem Hluvchynskyi 2015-09-28 13:39 EDT
Created attachment 1078021 [details]
lsusb output
Comment 2 Artem Hluvchynskyi 2015-09-28 13:39 EDT
Created attachment 1078022 [details]
xinput list-props output
Comment 3 Justin M. Forbes 2015-10-20 15:21:31 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Artem Hluvchynskyi 2015-10-20 15:23:56 EDT
Still the same issue on kernel 4.2.3-200.fc22.
Comment 5 Artem Hluvchynskyi 2015-11-04 05:39:35 EST
Same thing on Fedora 23.
Comment 6 Laura Abbott 2016-09-23 15:26:38 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 7 Artem Hluvchynskyi 2016-10-03 07:49:32 EDT
Somewhat better on Fedora 24 kernel 4.7.4-200.fc24 (sometimes the clickpad is being disabled with a right thumb on it) but still unreliable and doesn't seem to emit pressure events.
Comment 8 Justin M. Forbes 2017-04-11 10:43:12 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2017-04-28 13:15:33 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.